Migrate recurring charge plans

Start migration of recurring charge plans. (A recurring charge plan defines a recurring charge such as an annual fee, which is applied on a fixed schedule, and the number of installments [cycles] to which the charge should be applied.)

This endpoint generates the following events:

Body Params

Migrates a recurring charge plan

string
enum

Migration origin

Allowed:
migration
object
required

Additional migration details

string

Description for the recurring charge transactions. Use the placeholder {counter} to indicate where the cycle count should be placed.

For example, {counter} Annuity generates 2/12 Annuity.

double

Percentage value to be discounted if first_cycles_to_discount is configured. Typically, a number from 0 to 100.

integer

Number of cycles the discount_percentage is applied to before reverting to the full charge. This value must be less than number_of_cycles.

double

Full amount of a recurring charge installment before any discount is applied

double

Minimum debit amount on statement to enable cycle charging. If not configured, the charge plan does not check the debit statement amount.

integer

Number of cycles for which the plan generates charges. Must be greater than first_cycles_to_discount.

string

Transaction processing code. If split_transaction is true, this is the processing code for the debit (primary) transaction.

string
enum

Renewal method. Options to automatically renew the recurring charge plan at the end of the cycle.

Allowed:
string

Description for the secondary transaction, created when split_transaction is set to true.

For example, use Annual plan {counter} to indicate cycle count placement.

string

Processing code used to create the secondary transaction, when split_transaction is set to true.

boolean

Split transaction for the recurring charge amount?

Controls how installment amount and discounts are applied in each cycle. If false, a single debit transaction for the net amount is posted. If true, separate debit and credit transactions are posted. These consist of the full installment_amount (primary transaction) and the discount value (secondary transaction).

Responses
202

Accepted

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json